This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 855184 - Using --add_package gives undefined method `empty?' for nil:NilClass error
Using --add_package gives undefined method `empty?' for nil:NilClass error
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Pavel Pokorny
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 19:03 EDT by Og Maciel
Modified: 2014-01-27 09:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Using the command line option "--add_package" to add a package to a promotion changeset resulted in an error: "undefined methond 'empty?' for nil:NilClass" An error in the code where the entry was "empty" instead of "blank" caused the issue. This was fixed by correcting the logic behind detecting package availability. Adding a package to the promotion changeset now completes successfully.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:52:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (8.95 KB, text/x-log)
2012-09-06 19:03 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-09-06 19:03:05 EDT
Created attachment 610561 [details]
traceback

Description of problem:

Using the command line to populate my katello instance, I noticed that using --add_package in a promotion changeset gives the following error:

 undefined method `empty?' for nil:NilClass

Full traceback attached.

Version-Release number of selected component (if applicable):
* candlepin-0.7.8.2-1.el6.noarch
* candlepin-selinux-0.7.8.2-1.el6.noarch
* candlepin-tomcat6-0.7.8.2-1.el6.noarch
* katello-1.1.9-1.git.148.307e03b.el6.noarch
* katello-all-1.1.9-1.git.148.307e03b.el6.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6.noarch
* katello-cli-1.1.5-1.git.143.b1b7163.el6.noarch
* katello-cli-common-1.1.5-1.git.143.b1b7163.el6.noarch
* katello-common-1.1.9-1.git.148.307e03b.el6.noarch
* katello-configure-1.1.7-1.git.119.b594042.el6.noarch
* katello-glue-candlepin-1.1.9-1.git.148.307e03b.el6.noarch
* katello-glue-foreman-1.1.9-1.git.148.307e03b.el6.noarch
* katello-glue-pulp-1.1.9-1.git.148.307e03b.el6.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-repos-1.1.2-1.el6.noarch
* katello-selinux-1.1.1-1.el6.noarch
* pulp-1.1.12-1.el6.noarch
* pulp-common-1.1.12-1.el6.noarch
* pulp-selinux-server-1.1.12-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. Download the following CLI script: https://gist.github.com/3166535
2. The error happens on line 66 and then 77
3.
  
Actual results:


Expected results:


Additional info:
  katello -u lenovo_admin -p katello client remember --option org --value Lenovo
  katello -u lenovo_admin -p katello client remember --option env --value Development
  katello -u lenovo_admin -p katello changeset create --name few-pulp-qa-2 --description "Testing adding single package" --environment QA
  katello -u lenovo_admin -p katello changeset update --name few-pulp-qa-2 --from_product Pulp --add_package gofer --environment QA
Comment 2 Pavel Pokorny 2012-09-07 05:45:41 EDT
Fixed in e00570e
Comment 3 Garik Khachikyan 2012-09-07 08:40:44 EDT
@Hayk H.
Can I ask please to handle its automation. Good candidate to have it in our repo. thanks.
Comment 6 Og Maciel 2012-09-15 20:08:32 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 8 errata-xmlrpc 2012-12-04 14:52:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.